# tag: Tom Lord Mon Jan 27 00:04:20 2003 (lord@regepx.com--2002/ChangeLog.lord--1.0)
#

2002-05-01 GMT	Tom Lord <lord@regexps.com>	patch-23

    Summary:
      merged with `devo'
    Revision:
      file-utils--lord--1.0--patch-23

    
    Patches applied:
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-16
         important bug fixes to inv.c
    

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-16

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0 inv.c

    new patches:
     lord@regexps.com--2002/file-utils--devo--1.0--patch-16


2002-05-01 GMT	Tom Lord <lord@regexps.com>	patch-22

    Summary:
      allocation bug in `inv.c'
    Revision:
      file-utils--lord--1.0--patch-22

    
    `./inv.c'  Fixed one `value freed twice' bug and generally cleaned up
      the allocated memory handling.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     Makefile.in inv.c


2002-03-10 GMT	Tom Lord <lord@regexps.com>	patch-21

    Summary:
      merge with `devo'
    Revision:
      file-utils--lord--1.0--patch-21

    Patches applied (editted):
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-15
         fixed a descriptor leak in `ftag.c'
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-14
         `mkpatch' bug fix
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-13
         fixed `mkpatch' bugs
    

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-10
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-11
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-12
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-13
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-14
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-15

    modified files:
     =THANKS =TODO ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0 ftag.c
     mkpatch.c

    removed directories:
     =later

    new patches:
     lord@regexps.com--2002/file-utils--devo--1.0--patch-10
     lord@regexps.com--2002/file-utils--devo--1.0--patch-11
     lord@regexps.com--2002/file-utils--devo--1.0--patch-12
     lord@regexps.com--2002/file-utils--devo--1.0--patch-13
     lord@regexps.com--2002/file-utils--devo--1.0--patch-14
     lord@regexps.com--2002/file-utils--devo--1.0--patch-15


2002-02-27 GMT	Tom Lord <lord@regexps.com>	patch-20

    Summary:
      `inv.c' fixes
    Revision:
      file-utils--lord--1.0--patch-20

    `inv.c': files beginning with ",," are always junk files.
    
    `inv.c': permit the user to specify "exclude" files in the naming
     	 conventions file.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0 inv.c


2002-02-26 GMT	Tom Lord <lord@regexps.com>	patch-19

    Summary:
      inv.c -- towards greater generality
    Revision:
      file-utils--lord--1.0--patch-19

    
    I'd like `inventory' to be as far away as practical from
    "specific-to-arch", yet as convenient as possible.  So `inv.c' now has
    `inv_guess_conventions_file' so that "{arch}" and "=tagging-method"
    can continue to be hardwired defaults -- but not the only hardwired
    defaults.
    
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0 inv.c
     inv.h inventory.c mkpatch.c


2002-02-26 GMT	Tom Lord <lord@regexps.com>	patch-18

    Summary:
      bug fixes in `inv.c'
    Revision:
      file-utils--lord--1.0--patch-18

    The naming conventions regexp lines weren't being parsed correctly.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0 inv.c


2002-02-25 GMT	Tom Lord <lord@regexps.com>	patch-17

    Summary:
      `inventory' command and library, start of `mkpatch'
    Revision:
      file-utils--lord--1.0--patch-17

    `file-tag' has been split into a library part and a command part.
    The command part has the new options `explicit' and `names' for
    specifying the tagging method.
    
    `inv.c': The file-utils library also includes `inv_traversal' -- a
    programmatic interface to file inventory scanning.
    
    `inventory': a new command, similar to `larch inventory' but
    generalized.  A significant performance improvment over the 
    `larch inventory' script.
    
    `mkpatch': the beginnings of a rename-capable patch set generator.
    It compiles and produces approximately correct output, but isn't ready
    to be used for anything yet.
    
    

    new files:
     mkpatch.c ftag.h inv.h =PATCHES inv.c inventory.c ftag.c

    removed files:
     =later/inv.c

    modified files:
     =README ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     Makefile.in file-tag.c


2002-02-18 GMT	Tom Lord <lord@regexps.com>	patch-16

    Summary:
      --no-overwrite option to copy-file-list
    Revision:
      file-utils--lord--1.0--patch-16

    
    `copy-file-list' now as a `--no-overwrite' function to (silently)
    avoid copying files and directories over existing files and
    directories.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c


2002-02-16	Tom Lord <lord@regexps.com>	patch-15

    Summary:
      add support for -H (long help)
    Revision:
      file-utils--lord--1.0--patch-15

    Add support for -H (long help).
    

    new files:
     =later/inv.c

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c dangerous-rename.c file-metadata.c file-tag.c
     read-link.c set-file-metadata.c with-file-lock.c

    new directories:
     =later


2002-02-08	Tom Lord <lord@regexps.com>	patch-14

    Summary:
      `readlink' -> `read-link'
    Revision:
      file-utils--lord--1.0--patch-14

    
    The program `readlink' was a name conflict on some systems -- so it
    has been renamed `read-link'.
    
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     Makefile.in read-link.c

    renamed files:
     readlink.c
       ==> read-link.c



2002-02-05	Tom Lord <lord@regexps.com>	patch-13

    Summary:
      merge from devo
    Revision:
      file-utils--lord--1.0--patch-13

    Patches applied:
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-9
         added =THANKS
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-8
         `file-tag' bug fix
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-7
         -Wall bug fixes
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-6
         merge from lord
    

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-6
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-7
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-8
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-9
     =THANKS

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     file-tag.c with-file-lock.c

    new patches:
     lord@regexps.com--2002/file-utils--devo--1.0--patch-6
     lord@regexps.com--2002/file-utils--devo--1.0--patch-7
     lord@regexps.com--2002/file-utils--devo--1.0--patch-8
     lord@regexps.com--2002/file-utils--devo--1.0--patch-9


2002-01-24	Tom Lord <lord@regexps.com>	patch-12

    Summary:
      added a note to =TODO
    Revision:
      file-utils--lord--1.0--patch-12

    Noted the need for with-file-lock to be able to operate as
    a server.
    

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0


2002-01-21	Tom Lord <lord@regexps.com>	patch-11

    Summary:
      `with-file-lock': new command
    Revision:
      file-utils--lord--1.0--patch-11

    `with-file-lock': invoke a command while holding a file lock.
    

    new files:
     with-file-lock.c

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     Makefile.in


2002-01-19	Tom Lord <lord@regexps.com>	patch-10

    Summary:
      new option to `copy-file-list'	(also, back-merge from `devo')
    Revision:
      file-utils--lord--1.0--patch-10

    `copy-file-list' now accepts `--links' which builds a copy of a tree
    in which all regular files are hard links to files in the original
    tree.
    

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-5

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c

    new patches:
     lord@regexps.com--2002/file-utils--devo--1.0--patch-5


2002-01-17	Tom Lord <lord@regexps.com>	patch-9

    Summary:
      nit city
    Revision:
      file-utils--lord--1.0--patch-9

    Fixed all warnings from GCC options `-Wformat' and `-Wall'.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c dangerous-rename.c file-metadata.c file-tag.c
     readlink.c


2002-01-17	Tom Lord <lord@regexps.com>	patch-8

    Summary:
      merge from `devo'
    Revision:
      file-utils--lord--1.0--patch-8

    Patches applied:
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-4
         don't chmod symlinks in set-file-metadata
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-3
         bug fix in copy-file-list.c
    

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-3
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-4

    modified files:
     =TODO ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c set-file-metadata.c

    new patches:
     lord@regexps.com--2002/file-utils--devo--1.0--patch-3
     lord@regexps.com--2002/file-utils--devo--1.0--patch-4


2002-01-17	Tom Lord <lord@regexps.com>	patch-7

    Summary:
      merge from `devo'
    Revision:
      file-utils--lord--1.0--patch-7

    Patches applied:
    
      * lord@regexps.com--2002/file-utils--devo--1.0--patch-2
         merge from `lord':
         	--version support
         	boilerplate files
         	bug fixes
    

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-2

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0

    new patches:
     lord@regexps.com--2002/file-utils--devo--1.0--patch-2


2002-01-13	Tom Lord <lord@regexps.com>	patch-6

    Summary:
      corrected "Report bugs to" address
    Revision:
      file-utils--lord--1.0--patch-6

    Probably bugs for this package should be sent to "<bug-make@gnu.org>".
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c dangerous-rename.c file-metadata.c file-tag.c
     readlink.c set-file-metadata.c


2002-01-13	Tom Lord <lord@regexps.com>	patch-5

    Summary:
      fixed --version support
    Revision:
      file-utils--lord--1.0--patch-5

    `--version' now prints a version id based on "src/=project/package".
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c dangerous-rename.c file-metadata.c file-tag.c
     readlink.c set-file-metadata.c


2002-01-13	Tom Lord <lord@regexps.com>	patch-4

    Summary:
      fixed bugs encountered while making release branches
    Revision:
      file-utils--lord--1.0--patch-4

    `copy-file-list.c': copy symbolic links as symbolic links, not files.
    
    `file-tag.c': don't look for implicit links in symbolic links.  The
    tag for the linked-to file is not the tag for the link.
    
    `readlink.c': fixed a buffer size computation error.
    

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0
     copy-file-list.c file-tag.c readlink.c


2002-01-11	Tom Lord <lord@regexps.com>	patch-3

    Summary:
      added boilerplate files
    Revision:
      file-utils--lord--1.0--patch-3

    =README, etc.
    

    new files:
     {arch}/file-utils/file-utils--devo/file-utils--devo--1.0/lord@regexps.com--2002/patch-log/patch-1
     COPYING =README =TODO

    modified files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0

    new patches:
     lord@regexps.com--2002/file-utils--devo--1.0--patch-1


2002-01-07	Tom Lord <lord@regexps.com>	patch-2

    Summary:
      ChangeLog re-org
    Revision:
      file-utils--lord--1.0--patch-2

    Name ChangeLogs by branch.  Use tagged ChangeLogs.
    

    new files:
     ChangeLog
     ChangeLog.d/lord@regepx.com--2002/ChangeLog.lord--1.0

    removed files:
     ChangeLog ChangeLog.d/lord@regepx.com--2002/ChangeLog

    renamed files:
     ChangeLog.d/lord@regepx.com--2001Q4/ChangeLog.devo
       ==> ChangeLog.d/lord@regepx.com--2001Q4/ChangeLog.devo--1.0



2002-01-07	Tom Lord <lord@regexps.com>	patch-1

    Summary:
      modified ChangeLog structure
    Revision:
      file-utils--lord--1.0--patch-1

    
    Added ChangeLog.d and rearranged ChangeLogs into a sensible
    arrangement for multi-branch development.
    

    new files:
     ChangeLog.d/lord@regepx.com--2002/ChangeLog
     ChangeLog.d/lord@regepx.com--2001Q4/ChangeLog.devo

    modified files:
     ChangeLog

    new directories:
     ChangeLog.d ChangeLog.d/lord@regepx.com--2001Q4
     ChangeLog.d/lord@regepx.com--2002


2002-01-12	Tom Lord <lord@regexps.com>	base-0

    Summary:
      tag of lord@regexps.com--2002/file-utils--devo--1.0--base-0
    Revision:
      file-utils--lord--1.0--base-0

    (automatically generated log message)
    

    new patches:
     lord@regexps.com--2001Q4/file-utils--devo--1.0--base-0
     lord@regexps.com--2002/file-utils--devo--1.0--base-0
     lord@regexps.com--public-2001Q4/file-utils--devo--1.0--base-0
     lord@regexps.com--2001Q4/file-utils--devo--1.0--patch-1


